# The Technology class.
# From CDSFFMPT 
class: "BAG2_technology_definition.tech.TechInfo"

# layout related parameters
layout:
  # default EM spec calculation settings
  em:
    # DC current temperature
    dc_temp: !!int num
    # RMS current allowable temperature increase
    rms_dt: !!int num
  analog_res:
    # Resistor array routing grid
    standard:
      - [2, num, num, "x"]
      - [3, num, num, "y"]
    low_res:
      - [2, num, num, "x"]
      - [3, num, num, "y"]
  mom_cap:
      standard:
           width_space:
             4: [num, num]
             5: [num, num]
             6: [num, num]
             7: [num, num]
           margins:
             4: num
             5: num
             6: num
             7: num

# Transistor technology parameters
mos:
  # The transistor width minimum resolution.
  width_resolution: !!float 1e-9
  # The transistor length minimum resolution.
  length_resolution: !!float 1e-9
  # MOS characterization root
  mos_char_root: "${BAG_TECH_CONFIG_DIR}/mos_data"
  #fg_gr_min:
  #    lch: [ num ]
  #    val: [1]    

# Resistor technology parameters
res_metal:
    lib_name: planar_generic
    # Length_parameter
    l_name: l
    # Width parameter
    w_name: w
    # Layer to cell name mapping 
    cell_table:
      1: rm1
      2: rm2
    # Others
    others: {}

